## unity-scope-snappy 0.1.0+15.10.20150827

=== Makefile ===
# Go parameters
GOCMD=go
GOINSTALL=$(GOCMD) install
GOTEST=$(GOCMD) test
GOFMT=gofmt -w

TOP_PACKAGE := launchpad.net/unity-scope-snappy
EXECUTABLES := store package-management-daemon
PACKAGES_TO_TEST := package-management-daemon/daemon \
                    store/actions \
                    store/packages \
                    store/packages/fakes \
                    store/previews \
                    store/previews/humanize \
                    store/previews/fakes \
                    store/previews/packages \
                    store/previews/packages/templates \
                    store/utilities \
                    webdm

ALL_LIST = $(EXECUTABLES) $(PACKAGES_TO_TEST)

ABSOLUTE_PACKAGES_TO_TEST = $(foreach item, $(PACKAGES_TO_TEST), $(TOP_PACKAGE)/$(item))

INSTALL_LIST = $(foreach item, $(EXECUTABLES), $(item)_install)
TEST_LIST = $(foreach item, $(PACKAGES_TO_TEST), $(item)_test)
FMT_LIST = $(foreach item, $(ALL_LIST), $(item)_fmt)

.PHONY: $(INSTALL_LIST) $(TEST_LIST) $(FMT_LIST)

all: install
install: $(INSTALL_LIST)
check: test
test: go_tests integration_tests
go_tests: $(TEST_LIST)
fmt: $(FMT_LIST)

.PHONY: coverage
coverage:
	./test_coverage.sh $(ABSOLUTE_PACKAGES_TO_TEST)

.PHONY: coverage.html
coverage.html:
	./test_coverage.sh -t html $(ABSOLUTE_PACKAGES_TO_TEST)

.PHONY: coverage.xml
coverage.xml:
	./test_coverage.sh -t xml $(ABSOLUTE_PACKAGES_TO_TEST)

.PHONY: integration_tests
integration_tests: install
	python3 -m unittest discover -s test

$(BUILD_LIST): %_build: %_fmt
	$(GOBUILD) $(TOP_PACKAGE)/$*
$(CLEAN_LIST): %_clean:
	$(GOCLEAN) $(TOP_PACKAGE)/$*
$(INSTALL_LIST): %_install:
	$(GOINSTALL) $(TOP_PACKAGE)/$*
$(TEST_LIST): %_test:
	$(GOTEST) $(TOP_PACKAGE)/$*
$(FMT_LIST): %_fmt:
	$(GOFMT) ./$*

=== internal/github.com/AlekSi/gocov-xml/Makefile ===
all: fvb

prepare:
	go get -u github.com/axw/gocov/...
	go get -u github.com/gorilla/mux/...
	gocov test -v github.com/gorilla/mux > mux.json

fvb:
	gofmt -e -s -w .
	go vet .
	go run ./gocov-xml.go < mux.json > coverage.xml
	xmllint --valid --noout coverage.xml

=== debian/changelog ===
unity-scope-snappy (0.1.0+15.10.20150827-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Kyle Fazzari ]
  * Add license information in file headers.
  * Depend on golang-go.tools or newer golang-go which replaces it.
  * Finish testing dbus client in store scope.
  * Update godbus to include testability patch.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 27 Aug 2015 13:22:17 +0000

unity-scope-snappy (0.1.0+15.10.20150721-0ubuntu2~gcc5.1) wily; urgency=medium

  * Rebuild for unity-scopes-api 1.0.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jul 2015 13:28:02 +0200

unity-scope-snappy (0.1.0+15.10.20150721-0ubuntu1) wily; urgency=medium

  [ Kyle Fazzari ]
  * Initial release:
    - DBus daemon for installing/uninstalling packages via the WebDM API and
      providing feedback.
    - Scope can install/uninstall packages via DBus daemon and display progress.
    - Scope shows all preview details provided by WebDM.
  * Add DBus client for communicating with progress daemon.
  * Add DBus server.
  * Add basic signal handling to progress daemon.
  * Add integration tests for departments.
  * Add integration tests for package management tasks.
  * Add integration tests for package previews.
  * Add integration tests for verifying the initial surface results.
  * Add progress placeholder previews for manually refreshing.
  * Add snap package size to previews.
  * Add support for DBus WebdmPackageManager interface.
  * Add support for searching.
  * Change command-line flag for WebDM URL to an environment variable.
  * Extract package manager into a separate package.
  * Extract scope ActionRunners into their own package.
  * Finish the progress daemon.
  * Fix bug where an incorrect URL for WebDM resulted in a panic.
  * Hook up DBus client to action runners.
  * Refactor previews into separate packages to reduce clutter.
  * Refactor the Snappy Scope to increase testability and extensibility.
  * Update previews to include the progress widget instead of
    placeholders.
  * Vendor godbus for the progress daemon.

  [ Alejandro J. Cura ]
  * Merge lp:~kyrofa/unity-scope-snappy/better_webdm_test_coverage into
    lp:unity-scope-snappy
  * Merge lp:~kyrofa/unity-scope-snappy/install_snaps removed:
    webdm/client_types.go added: webdm/client_server_test.go
    webdm/package.go webdm/package_test.go
  * Merged lp:~alecu/unity-scope-snappy/groundwork branch added: COPYING
    README snappy-scope/ snappy-scope/main.go snappy-scope/snappy-
    scope.ini webdm/ webdm/client.go
  * Merged lp:~kyrofa/unity-scope-snappy/show_available_snaps
  * Merging lp:~kyrofa/unity-scope-snappy/ci_integration added: debian/
    debian/changelog debian/compat debian/control debian/copyright
    debian/rules debian/source/ debian/source/format internal/
    internal/github.com/ internal/github.com/AlekSi/
    internal/github.com/AlekSi/gocov-xml/
    internal/github.com/AlekSi/gocov-xml/LICENSE
    internal/github.com/AlekSi/gocov-xml/Makefile
    internal/github.com/AlekSi/gocov-xml/README.md
    internal/github.com/AlekSi/gocov-xml/coverage-03.dtd
    internal/github.com/AlekSi/gocov-xml/coverage-with-data.xml
    internal/github.com/AlekSi/gocov-xml/gocov-xml.go
    internal/github.com/axw/ internal/github.com/axw/gocov/
    internal/github.com/axw/gocov/AUTHORS
    internal/github.com/axw/gocov/LICENSE
    internal/github.com/axw/gocov/README.md
    internal/github.com/axw/gocov/gocov/
    internal/github.com/axw/gocov/gocov.go
    internal/github.com/axw/gocov/gocov/annotate.go
    internal/github.com/axw/gocov/gocov/convert.go
    internal/github.com/axw/gocov/gocov/main.go
    internal/github.com/axw/gocov/gocov/report.go
    internal/github.com/axw/gocov/gocov/test.go
    internal/github.com/axw/gocov/gocov_test.go
    internal/github.com/axw/gocov/gocovutil/
    internal/github.com/axw/gocov/gocovutil/packages.go
    internal/golang.org/ internal/golang.org/x/
    internal/golang.org/x/tools/ internal/golang.org/x/tools/cover/
    internal/golang.org/x/tools/cover/profile.go internal/launchpad.net/
    internal/launchpad.net/go-unityscopes/ internal/launchpad.net/go-
    unityscopes/v2/ internal/launchpad.net/go-unityscopes/v2/accounts.go
    internal/launchpad.net/go-unityscopes/v2/activationresponse.cpp
    internal/launchpad.net/go-unityscopes/v2/activationresponse.go
    internal/launchpad.net/go-unityscopes/v2/activationresponse_test.go
    internal/launchpad.net/go-unityscopes/v2/column_layout.cpp
    internal/launchpad.net/go-unityscopes/v2/column_layout.go
    internal/launchpad.net/go-unityscopes/v2/column_layout_test.go
    internal/launchpad.net/go-unityscopes/v2/department.cpp
    internal/launchpad.net/go-unityscopes/v2/department.go
    internal/launchpad.net/go-unityscopes/v2/department_test.go
    internal/launchpad.net/go-unityscopes/v2/doc.go
    internal/launchpad.net/go-unityscopes/v2/export_test.go
    internal/launchpad.net/go-unityscopes/v2/filters_base.go
    internal/launchpad.net/go-unityscopes/v2/helpers.cpp
    internal/launchpad.net/go-unityscopes/v2/helpers.h
    internal/launchpad.net/go-unityscopes/v2/metadata.cpp
    internal/launchpad.net/go-unityscopes/v2/metadata.go
    internal/launchpad.net/go-unityscopes/v2/metadata_test.go
    internal/launchpad.net/go-unityscopes/v2/option_selector_filter.go
    internal/launchpad.net/go-
    unityscopes/v2/option_selector_filter_test.go
    internal/launchpad.net/go-unityscopes/v2/previewwidget.go
    internal/launchpad.net/go-unityscopes/v2/previewwidget_test.go
    internal/launchpad.net/go-unityscopes/v2/query.cpp
    internal/launchpad.net/go-unityscopes/v2/query.go
    internal/launchpad.net/go-unityscopes/v2/query_test.go
    internal/launchpad.net/go-unityscopes/v2/radio_buttons_filter.go
    internal/launchpad.net/go-
    unityscopes/v2/radio_buttons_filter_test.go
    internal/launchpad.net/go-unityscopes/v2/range_input_filter.go


=== debian/control ===
Source: unity-scope-snappy
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: dbus-test-runner,
               debhelper (>= 9),
               dh-exec (>=0.3),
               dh-golang,
               golang-go,
               golang-go.tools [amd64 armhf i386] | golang-go (>= 2:1.5~rc1),
               libunity-scopes-dev,
               pkg-config,
               python3,
               python3-fixtures,
               python3-requests,
               python3-scope-harness,
Standards-Version: 3.9.6
Homepage: https://launchpad.net/unity-scope-snappy
Vcs-Bzr: lp:unity-scope-snappy
Vcs-Browser: http://bazaar.launchpad.net/~unity-api-team/unity-scope-snappy/trunk/files

Package: unity-scope-snappy
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         unity-scope-snappy-daemon (= ${binary:Version}),
Built-Using: ${misc:Built-Using}
Description: Install and launch snap packages.
 This scope gets the list of available snap packages from the Ubuntu Store, and
 lets the user see the details of each application or scope before installing.
 The details include screenshots, rating and reviews. It can also be used to
 launch installed applications.

Package: unity-scope-snappy-daemon
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Manage the installation and uninstallation of snaps via DBus.
 This DBus service exposes an interface to install and uninstall snap packages,
 providing feedback signals during the operation that can be used to determine
 progress.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := launchpad.net/unity-scope-snappy

# Tell dh-golang that we need subpackages.
export DH_GOLANG_INSTALL_ALL := 1

# Setup the paths so we can run gocov and gocov-xml.
export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
export PATH := $(GOPATH)/bin:$(PATH)

STORE_FILE_PATH := /usr/lib/$(DEB_HOST_MULTIARCH)/unity-scopes/snappy-store/store

%:
	dh $@ --buildsystem=golang --with=golang

# Run the tests and produce a Cobertura-compatible coverage report.
override_dh_auto_test: debian/snappy-store.ini debian/com.canonical.applications.WebdmPackageManager.service
	dbus-test-runner -m 600 -t make -p integration_tests
	dbus-test-runner -m 600 -t make -p coverage.xml

# Rewrite any *.in files to be compatible with multiarch.
debian/%: data/%.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

# Rewrite the scope.ini file to point to the multiarch location.
debian/snappy-store.ini: store/snappy-store.ini
	sed 's|ScopeRunner.*|ScopeRunner = $(STORE_FILE_PATH) --runtime %R --scope %S|g' $< > $@
